Zip Codes

A named, reusable list of zip codes used to include or exclude leads by location in filters.

GET /zip_code_lists

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists

List Zip Code List records.

List the zip code lists in your account, with filtering and pagination.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • zip_code_list_file_ids
  • zip_codes_count
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /zip_code_lists/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists/new

Build Zip Code List with defaults.

Return a new, unsaved zip code list pre-filled with defaults.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

import_file
Optional Blank value allowed

A CSV file of zip codes to add to this list. Required when creating a list; uploading again on update adds more zip codes to the existing list.

  • Must be a valid file upload.

POST /zip_code_lists

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists

Create Zip Code List.

Create a named zip code list. Populating it with zip codes is done by uploading an import file to the list separately.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

import_file
Optional Blank value allowed

A CSV file of zip codes to add to this list. Required when creating a list; uploading again on update adds more zip codes to the existing list.

  • Must be a valid file upload.

GET /zip_code_lists/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists/:id

Get Zip Code List by id.

Retrieve a single zip code list by id, including its name, description, and zip code count.

PUT /zip_code_lists/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists/:id

Update Zip Code List by id.

Rename or update the description of an existing zip code list.

Params

Param name Description
name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

import_file
Optional Blank value allowed

A CSV file of zip codes to add to this list. Required when creating a list; uploading again on update adds more zip codes to the existing list.

  • Must be a valid file upload.

DELETE /zip_code_lists/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_lists/:id

Destroy Zip Code List by id.

Permanently delete a zip code list. Any filters that reference the list (such as buyer or offer targeting rules) are recalculated.